/*
 * File: asm.h
 *
 * Register and instruction tables
 *
 * Generated from file ../genop/a86.dat on Tue Jul 26 13:29:04 1960
 *
 */

#pragma	info(noext)

/*
 * User-level registers
 *
 */

const	unsigned char	*regs[MAXREGS] = {
"AL ", "CL ", "DL ", "BL ", "AH ", "CH ", "DH ", "BH ", 
"AX ", "CX ", "DX ", "BX ", "SP ", "BP ", "SI ", "DI ", 
"EAX", "ECX", "EDX", "EBX", "ESP", "EBP", "ESI", "EDI", 
};

/*
 * Instruction mnemonics
 *
 */

unsigned	int	opcsize = NOOFOPS;

const	unsigned char	*opc[NOOFOPS] = {
"AAA     ", "AAD     ", "AAM     ", "AAS     ", 
"ADC1IB  ", "ADC1IW  ", "ADCIB   ", "ADCIW   ", 
"ADCISXW ", "ADCB    ", "ADCW    ", "ADCRB   ", 
"ADCRW   ", "ADD1IB  ", "ADD1IW  ", "ADDIB   ", 
"ADDIW   ", "ADDISXW ", "ADDB    ", "ADDW    ", 
"ADDRB   ", "ADDRW   ", "AND1IB  ", "AND1IW  ", 
"ANDIB   ", "ANDIW   ", "ANDISXW ", "ANDB    ", 
"ANDW    ", "ANDRB   ", "ANDRW   ", "ARPL    ", 
"BOUND   ", "BSF     ", "BSR     ", "BSWAP   ", 
"BT      ", "BTI     ", "BTC     ", "BTCI    ", 
"BTR     ", "BTRI    ", "BTS     ", "BTSI    ", 
"CALLF   ", "CALLFI  ", "CALLN   ", "CALLNI  ", 
"CBW     ", "CDQ     ", "CLC     ", "CLD     ", 
"CLI     ", "CLTS    ", "CMC     ", "CMP1IB  ", 
"CMP1IW  ", "CMPIB   ", "CMPIW   ", "CMPISXW ", 
"CMPB    ", "CMPW    ", "CMPRB   ", "CMPRW   ", 
"CMPSB   ", "CMPSD   ", "CMPSW   ", "CMPXCH8 ", 
"CMPXCH32", "CMPXCHG8", "CPUID   ", "CWD     ", 
"CWDE    ", "DAA     ", "DAS     ", "DECB    ", 
"DECR    ", "DECW    ", "DIVB    ", "DIVW    ", 
"ENTER   ", "F2XM1   ", "FABS    ", "FADDMD  ", 
"FADDMQ  ", "FADDT   ", "FADDS   ", "FADDPS  ", 
"FADD    ", "FADDP   ", "FIADDW  ", "FIADDD  ", 
"FBLD    ", "FBSTP   ", "FCHS    ", "FCLEX   ", 
"FCOMD   ", "FCOMQ   ", "FCOMS   ", "FCOM    ", 
"FCOMDP  ", "FCOMQP  ", "FCOMPS  ", "FCOMP   ", 
"FCOMPP  ", "FCOS    ", "FDECSTP ", "FDIVD   ", 
"FDIVQ   ", "FDIVT   ", "FDIVS   ", "FDIV    ", 
"FDIVP   ", "FDIVPS  ", "FIDIVD  ", "FIDIVW  ", 
"FDIVRD  ", "FDIVRQ  ", "FDIVRT  ", "FDIVRS  ", 
"FDIVRPS ", "FDIVR   ", "FDIVRP  ", "FIDIVRD ", 
"FIDIVRW ", "FFREE   ", "FICOMW  ", "FICOMD  ", 
"FICOMPW ", "FICOMPD ", "FILDW   ", "FILDD   ", 
"FILDQ   ", "FINCSTP ", "FINIT   ", "FISTW   ", 
"FISTD   ", "FISTPW  ", "FISTPD  ", "FISTPQ  ", 
"FLDD    ", "FLDQ    ", "FLDX    ", "FLDS    ", 
"FLD1    ", "FLDL2T  ", "FLDL2E  ", "FLDPI   ", 
"FLDLG2  ", "FLDLN2  ", "FLDZ    ", "FLDCW   ", 
"FLDENV  ", "FMULW   ", "FMULQ   ", "FMULT   ", 
"FMULS   ", "FMULPS  ", "FMUL    ", "FMULP   ", 
"FIMULW  ", "FIMULQ  ", "FNCLEX  ", "FNINIT  ", 
"FNOP    ", "FNSAVE  ", "FNSTCW  ", "FNSTENV ", 
"FNSTSW  ", "FNSTSWAX", "FPATAN  ", "FPREM   ", 
"FPREM1  ", "FPTAN   ", "FRNDINT ", "FRSTOR  ", 
"FSAVE   ", "FSCALE  ", "FSIN    ", "FSINCOS ", 
"FSQRT   ", "FSTCW   ", "FSTENV  ", "FSTD    ", 
"FSTQ    ", "FSTS    ", "FSTPD   ", "FSTPQ   ", 
"FSTPX   ", "FSTPS   ", "FSTSW   ", "FSTSWAX ", 
"FSUBD   ", "FSUBQ   ", "FSUBT   ", "FSUBS   ", 
"FSUBPS  ", "FSUB    ", "FSUBP   ", "FISUBD  ", 
"FISUBQ  ", "FSUBRD  ", "FSUBRQ  ", "FSUBRT  ", 
"FSUBRS  ", "FSUBRPS ", "FSUBR   ", "FSUBRP  ", 
"FISUBRW ", "FISUBRD ", "FTST    ", "FUCOMS  ", 
"FUCOM   ", "FUCOMPS ", "FUCOMP  ", "FUCOMPP ", 
"FWAIT   ", "FXAM    ", "FXCHS   ", "FXCH    ", 
"FXTRACT ", "FYL2X   ", "FYL2XP1 ", "HLT     ", 
"IDIVB   ", "IDIVW   ", "IMUL1B  ", "IMUL1W  ", 
"IMUL2   ", "IMUL3B  ", "IMUL3W  ", "INB     ", 
"INIB    ", "INIW    ", "INW     ", "INCB    ", 
"INCR    ", "INCW    ", "INSB    ", "INSW    ", 
"INT     ", "INT3    ", "INTO    ", "INVD    ", 
"INVLPG  ", "IRET    ", "JA      ", "JAN     ", 
"JAE     ", "JAEN    ", "JB      ", "JBN     ", 
"JBE     ", "JBEN    ", "JC      ", "JCN     ", 
"JECXZ   ", "JE      ", "JEN     ", "JG      ", 
"JGN     ", "JGE     ", "JGEN    ", "JL      ", 
"JLN     ", "JLE     ", "JLEN    ", "JNA     ", 
"JNAN    ", "JNAE    ", "JNAEN   ", "JNB     ", 
"JNBN    ", "JNBE    ", "JNBEN   ", "JNC     ", 
"JNCN    ", "JNE     ", "JNEN    ", "JNG     ", 
"JNGN    ", "JNGE    ", "JNGEN   ", "JNL     ", 
"JNLN    ", "JNLE    ", "JNLEN   ", "JNO     ", 
"JNON    ", "JNP     ", "JNPN    ", "JNS     ", 
"JNSN    ", "JNZ     ", "JNZN    ", "JO      ", 
"JON     ", "JP      ", "JPN     ", "JPE     ", 
"JPEN    ", "JPO     ", "JPON    ", "JS      ", 
"JSN     ", "JZ      ", "JZN     ", "JMP     ", 
"JMPN    ", "JMPNI   ", "JMPF    ", "JMPFI   ", 
"LAHF    ", "LAR     ", "LDS     ", "LEA     ", 
"LEAVE   ", "LES     ", "LFS     ", "LGDT    ", 
"LGS     ", "LIDT    ", "LLDT    ", "LMSW    ", 
"LOCK    ", "LODSB   ", "LODSW   ", "LOOP    ", 
"LOOPE   ", "LOOPZ   ", "LOOPNE  ", "LOOPNZ  ", 
"LSL     ", "LSS     ", "LTR     ", "MOVB    ", 
"MOVW    ", "MOVRB   ", "MOVRW   ", "MOVS    ", 
"MOVSR   ", "MOV1RB  ", "MOV1RW  ", "MOV1B   ", 
"MOV1W   ", "MOVIRB  ", "MOVIRW  ", "MOVIB   ", 
"MOVIW   ", "MOVCR   ", "MOVCRR  ", "MOVDR   ", 
"MOVDRR  ", "MOVTR   ", "MOVTRR  ", "MOVSB   ", 
"MOVSW   ", "MOVSXB  ", "MOVSXW  ", "MOVZXB  ", 
"MOVZXW  ", "MULB    ", "MULW    ", "NEGB    ", 
"NEGW    ", "NOP     ", "NOTB    ", "NOTW    ", 
"OR1IB   ", "OR1IW   ", "ORIB    ", "ORIW    ", 
"ORISXW  ", "ORB     ", "ORW     ", "ORRB    ", 
"ORRW    ", "OUTB    ", "OUTIB   ", "OUTIW   ", 
"OUTW    ", "OUTSB   ", "OUTSW   ", "POP     ", 
"POPR    ", "POPDS   ", "POPES   ", "POPFS   ", 
"POPGS   ", "POPSS   ", "POPAD   ", "POPFD   ", 
"PUSH    ", "PUSHR   ", "PUSHCS  ", "PUSHDS  ", 
"PUSHES  ", "PUSHFS  ", "PUSHGS  ", "PUSHIB  ", 
"PUSHIW  ", "PUSHSS  ", "PUSHAD  ", "PUSHFD  ", 
"RCL1B   ", "RCLCB   ", "RCLIB   ", "RCL1W   ", 
"RCLCW   ", "RCLIW   ", "RCR1B   ", "RCRCB   ", 
"RCRIB   ", "RCR1W   ", "RCRCW   ", "RCRIW   ", 
"RDMSR   ", "RDTSC   ", "REP     ", "REPE    ", 
"REPNE   ", "REPNZ   ", "REPZ    ", "RET     ", 
"RETF    ", "RETFN   ", "RETN    ", "ROL1B   ", 
"ROLCB   ", "ROLIB   ", "ROL1W   ", "ROLCW   ", 
"ROLIW   ", "ROR1B   ", "RORCB   ", "RORIB   ", 
"ROR1W   ", "RORCW   ", "RORIW   ", "RSM     ", 
"SAHF    ", "SAL1B   ", "SALCB   ", "SALIB   ", 
"SAL1W   ", "SALCW   ", "SALIW   ", "SAR1B   ", 
"SARCB   ", "SARIB   ", "SAR1W   ", "SARCW   ", 
"SARIW   ", "SBB1IB  ", "SBB1IW  ", "SBBIB   ", 
"SBBIW   ", "SBBISXW ", "SBBB    ", "SBBW    ", 
"SBBRB   ", "SBBRW   ", "SCASB   ", "SCASW   ", 
"SETA    ", "SETAE   ", "SETB    ", "SETBE   ", 
"SETC    ", "SETE    ", "SETG    ", "SETGE   ", 
"SETL    ", "SETLE   ", "SETNA   ", "SETNAE  ", 
"SETNB   ", "SETNBE  ", "SETNC   ", "SETNE   ", 
"SETNG   ", "SETNGE  ", "SETNL   ", "SETNLE  ", 
"SETNO   ", "SETNP   ", "SETNS   ", "SETNZ   ", 
"SETO    ", "SETP    ", "SETPE   ", "SETPO   ", 
"SETS    ", "SETZ    ", "SGDT    ", "SHL1B   ", 
"SHLCB   ", "SHLIB   ", "SHL1W   ", "SHLCW   ", 
"SHLIW   ", "SHLD    ", "SHLDC   ", "SHR1B   ", 
"SHRCB   ", "SHRIB   ", "SHR1W   ", "SHRCW   ", 
"SHRIW   ", "SHRD    ", "SHRDC   ", "SIDT    ", 
"SLDT    ", "SMSW    ", "STC     ", "STD     ", 
"STI     ", "STOSB   ", "STOSW   ", "STR     ", 
"SUB1IB  ", "SUB1IW  ", "SUBIB   ", "SUBIW   ", 
"SUBISXW ", "SUBB    ", "SUBW    ", "SUBRB   ", 
"SUBRW   ", "TEST1IB ", "TEST1IW ", "TESTIB  ", 
"TESTIW  ", "TESTB   ", "TESTW   ", "TESTRB  ", 
"TESTRW  ", "VERR    ", "VERW    ", "WAIT    ", 
"WBINVD  ", "WRMSR   ", "XADDB   ", "XADDW   ", 
"XCHGR   ", "XCHGB   ", "XCHGBR  ", "XCHGW   ", 
"XCHGWR  ", "XLATB   ", "XOR1IB  ", "XOR1IW  ", 
"XORIB   ", "XORIW   ", "XORISXW ", "XORB    ", 
"XORW    ", "XORRB   ", "XORRW   "
};

/*
 * Instruction information tables
 *
 */

const	unsigned int	opcinfo1[NOOFOPS] = {
0x08000000, 0x08000000, 0x08000000, 0x08000000, 
0x080a0000, 0x080c0000, 0x020f0a00, 0x02110c00, 
0x02110a00, 0x090f0100, 0x09110300, 0x09010f00, 
0x09031100, 0x080a0000, 0x080c0000, 0x000f0a00, 
0x00110c00, 0x00110a00, 0x090f0100, 0x09110300, 
0x09010f00, 0x09031100, 0x080a0000, 0x080c0000, 
0x040f0a00, 0x04110c00, 0x04110a00, 0x090f0100, 
0x09110300, 0x09010f00, 0x09031100, 0x08100200, 
0x09031700, 0x08031100, 0x08031100, 0x0b030000, 
0x08110300, 0x04110a00, 0x08110300, 0x07110a00, 
0x08110300, 0x06110a00, 0x08110300, 0x05110a00, 
0x881b0000, 0x03180000, 0x88140000, 0x02110000, 
0x08000000, 0x08000000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x080a0000, 
0x080c0000, 0x070f0a00, 0x07110c00, 0x07110a00, 
0x090f0100, 0x09110300, 0x09010f00, 0x09031100, 
0x08000000, 0x08000000, 0x08000000, 0x09110300, 
0x090f0100, 0x08120000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x010f0000, 
0x0b030000, 0x01110000, 0x060f0000, 0x06110000, 
0x080b0a00, 0x08000000, 0x08000000, 0x001c0000, 
0x001d0000, 0x0c090800, 0x0c080000, 0x0c080000, 
0x08000000, 0x08000000, 0x00160000, 0x00170000, 
0x041f0000, 0x061f0000, 0x08000000, 0x08000000, 
0x021c0000, 0x021d0000, 0x0c080000, 0x08000000, 
0x031c0000, 0x031d0000, 0x0c080000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x061c0000, 
0x061d0000, 0x0c090800, 0x0c080000, 0x08000000, 
0x08000000, 0x0c080000, 0x06170000, 0x06160000, 
0x071c0000, 0x071d0000, 0x0c090800, 0x0c080000, 
0x0c080000, 0x08000000, 0x08000000, 0x07170000, 
0x07160000, 0x0c080000, 0x02160000, 0x02170000, 
0x03160000, 0x03170000, 0x00160000, 0x00170000, 
0x051a0000, 0x08000000, 0x08000000, 0x02160000, 
0x02170000, 0x03160000, 0x03170000, 0x071a0000, 
0x001c0000, 0x001d0000, 0x051e0000, 0x0c080000, 
0x08000000, 0x08000000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x05160000, 
0x04150000, 0x011c0000, 0x011d0000, 0x0c090800, 
0x0c080000, 0x0c080000, 0x08000000, 0x08000000, 
0x01160000, 0x01170000, 0x08000000, 0x08000000, 
0x08000000, 0x06000000, 0x07160000, 0x06150000, 
0x07160000, 0x08000000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x04150000, 
0x06000000, 0x08000000, 0x08000000, 0x08000000, 
0x08000000, 0x07160000, 0x06150000, 0x021c0000, 
0x021d0000, 0x0c080000, 0x031c0000, 0x031d0000, 
0x071e0000, 0x0c080000, 0x07160000, 0x08000000, 
0x041c0000, 0x041d0000, 0x0c090800, 0x0c080000, 
0x0c080000, 0x08000000, 0x08000000, 0x04170000, 
0x041a0000, 0x051c0000, 0x051d0000, 0x0c090800, 
0x0c080000, 0x0c080000, 0x08000000, 0x08000000, 
0x05160000, 0x05170000, 0x08000000, 0x0c080000, 
0x08000000, 0x0c080000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x0c080000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x08000000, 
0x070f0000, 0x07110000, 0x050f0000, 0x05110000, 
0x09031100, 0x0903110a, 0x0903110c, 0x08000000, 
0x080a0000, 0x080c0000, 0x08000000, 0x000f0000, 
0x0b030000, 0x00110000, 0x08000000, 0x08000000, 
0x080a0000, 0x08000000, 0x08000000, 0x08000000, 
0x07170000, 0x08000000, 0x88130000, 0x88140000, 
0x88130000, 0x88140000, 0x88130000, 0x88140000, 
0x88130000, 0x88140000, 0x88130000, 0x88140000, 
0x88130000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x88130000, 0x88140000, 0x88130000, 
0x88140000, 0x04110000, 0x881b0000, 0x05180000, 
0x08000000, 0x09031100, 0x09031800, 0x08031700, 
0x08000000, 0x09031800, 0x09031800, 0x02190000, 
0x09031800, 0x03190000, 0x02100000, 0x06100000, 
0x08000000, 0x08000000, 0x08000000, 0x88130000, 
0x88130000, 0x88130000, 0x88130000, 0x88130000, 
0x09031100, 0x09031800, 0x03100000, 0x090f0100, 
0x09110300, 0x09010f00, 0x09031100, 0x09100400, 
0x09041000, 0x080d0000, 0x080e0000, 0x080d0000, 
0x080e0000, 0x0a0a0000, 0x0b0c0000, 0x000f0a00, 
0x00110c00, 0x0d030500, 0x0d050300, 0x0e030600, 
0x0e060300, 0x0f030700, 0x0f070300, 0x08000000, 
0x08000000, 0x09030f00, 0x09031000, 0x09030f00, 
0x09031000, 0x040f0000, 0x04110000, 0x030f0000, 
0x03110000, 0x08000000, 0x020f0000, 0x02110000, 
0x080a0000, 0x080c0000, 0x010f0a00, 0x01110c00, 
0x01110a00, 0x090f0100, 0x09110300, 0x09010f00, 
0x09031100, 0x08000000, 0x080a0000, 0x080c0000, 
0x08000000, 0x08000000, 0x08000000, 0x00110000, 
0x0b030000, 0x08000000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x08000000, 
0x06110000, 0x0b030000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x080a0000, 
0x080c0000, 0x08000000, 0x08000000, 0x08000000, 
0x020f0000, 0x020f0000, 0x020f0a00, 0x02110000, 
0x02110000, 0x02110a00, 0x030f0000, 0x030f0000, 
0x030f0a00, 0x03110000, 0x03110000, 0x03110a00, 
0x08000000, 0x08000000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x08000000, 
0x08000000, 0x080b0000, 0x080b0000, 0x000f0000, 
0x000f0000, 0x000f0a00, 0x00110000, 0x00110000, 
0x00110a00, 0x010f0000, 0x010f0000, 0x010f0a00, 
0x01110000, 0x01110000, 0x01110a00, 0x08000000, 
0x08000000, 0x040f0000, 0x040f0000, 0x040f0a00, 
0x04110000, 0x04110000, 0x04110a00, 0x070f0000, 
0x070f0000, 0x070f0a00, 0x07110000, 0x07110000, 
0x07110a00, 0x080a0000, 0x080c0000, 0x030f0a00, 
0x03110c00, 0x03110a00, 0x090f0100, 0x09110300, 
0x09010f00, 0x09031100, 0x08000000, 0x08000000, 
0x000f0000, 0x000f0000, 0x000f0000, 0x000f0000, 
0x000f0000, 0x000f0000, 0x000f0000, 0x000f0000, 
0x000f0000, 0x000f0000, 0x000f0000, 0x000f0000, 
0x000f0000, 0x000f0000, 0x000f0000, 0x000f0000, 
0x000f0000, 0x000f0000, 0x000f0000, 0x000f0000, 
0x000f0000, 0x000f0000, 0x000f0000, 0x000f0000, 
0x000f0000, 0x000f0000, 0x000f0000, 0x000f0000, 
0x000f0000, 0x000f0000, 0x00190000, 0x040f0000, 
0x040f0000, 0x040f0a00, 0x04110000, 0x04110000, 
0x04110a00, 0x0811030a, 0x08110300, 0x050f0000, 
0x050f0000, 0x050f0a00, 0x05110000, 0x05110000, 
0x05110a00, 0x0811030a, 0x08110300, 0x01190000, 
0x00100000, 0x04100000, 0x08000000, 0x08000000, 
0x08000000, 0x08000000, 0x08000000, 0x01100000, 
0x080a0000, 0x080c0000, 0x050f0a00, 0x05110c00, 
0x05110a00, 0x090f0100, 0x09110300, 0x09010f00, 
0x09031100, 0x080a0000, 0x080c0000, 0x000f0a00, 
0x00110c00, 0x090f0100, 0x09110300, 0x09010f00, 
0x09031100, 0x04100000, 0x05100000, 0x08000000, 
0x08000000, 0x08000000, 0x090f0100, 0x09110300, 
0x0b030000, 0x090f0100, 0x09010f00, 0x09110300, 
0x09031100, 0x08000000, 0x080a0000, 0x080c0000, 
0x060f0a00, 0x06110c00, 0x06110a00, 0x090f0100, 
0x09110300, 0x09010f00, 0x09031100
};

const	unsigned int	opcinfo2[NOOFOPS] = {
0x37000001, 0xd50a0002, 0xd40a0002, 0x3f000001, 
0x14000001, 0x15000001, 0x80000001, 0x81000001, 
0x83000001, 0x10000001, 0x11000001, 0x12000001, 
0x13000001, 0x04000001, 0x05000001, 0x80000001, 
0x81000001, 0x83000001, 0x00000001, 0x01000001, 
0x02000001, 0x03000001, 0x24000001, 0x25000001, 
0x80000001, 0x81000001, 0x83000001, 0x20000001, 
0x21000001, 0x22000001, 0x23000001, 0x63000001, 
0x62000001, 0x0fbc0002, 0x0fbd0002, 0x0fc80002, 
0x0fa30002, 0x0fba0002, 0x0fbb0002, 0x0fba0002, 
0x0fb30002, 0x0fba0002, 0x0fab0002, 0x0fba0002, 
0x9a000001, 0xff000001, 0xe8000001, 0xff000001, 
0x98000001, 0x99000001, 0xf8000001, 0xfc000001, 
0xfa000001, 0x0f060002, 0xf5000001, 0x3c000001, 
0x3d000001, 0x80000001, 0x81000001, 0x83000001, 
0x38000001, 0x39000001, 0x3a000001, 0x3b000001, 
0xa6000001, 0xa7000001, 0xa7000001, 0x0fb10002, 
0x0fb00002, 0x0fc70002, 0x0fa20002, 0x99000001, 
0x98000001, 0x27000001, 0x2f000001, 0xfe000001, 
0x48000001, 0xff000001, 0xf6000001, 0xf7000001, 
0xc8000001, 0xd9f00002, 0xd9e10002, 0xd8000001, 
0xdc000001, 0xd8c00002, 0xdcc00002, 0xdec00002, 
0xdec10002, 0xdec10002, 0xde000001, 0xda000001, 
0xdf000001, 0xdf000001, 0xd9e00002, 0x9bdbe203, 
0xd8000001, 0xdc000001, 0xd8d00002, 0xd8d10002, 
0xd8000001, 0xdc000001, 0xd8d80002, 0xd8d90002, 
0xded90002, 0xd9ff0002, 0xd9f60002, 0xd8000001, 
0xdc000001, 0xd8f00002, 0xdcf80002, 0xdef90002, 
0xdef90002, 0xdef80002, 0xda000001, 0xde000001, 
0xd8000001, 0xdc000001, 0xd8f80002, 0xdcf00002, 
0xdef00002, 0xdef10002, 0xdef10002, 0xda000001, 
0xde000001, 0xddc00002, 0xde000001, 0xda000001, 
0xde000001, 0xda000001, 0xdf000001, 0xdb000001, 
0xdf000001, 0xd9f70002, 0x9bdbe303, 0xdf000001, 
0xdb000001, 0xdf000001, 0xdb000001, 0xdf000001, 
0xd9000001, 0xdd000001, 0xdb000001, 0xd9c00002, 
0xd9e80002, 0xd9e90002, 0xd9ea0002, 0xd9eb0002, 
0xd9ec0002, 0xd9ed0002, 0xd9ee0002, 0xd9000001, 
0xd9000001, 0xd8000001, 0xdc000001, 0xd8c80002, 
0xdcc80002, 0xdec80002, 0xdec90002, 0xdec90002, 
0xde000001, 0xda000001, 0xdbe20002, 0xdbe30002, 
0xd9d00002, 0xdd000001, 0xd9000001, 0xd9000001, 
0xdd000001, 0xdfe00002, 0xd9f30002, 0xd9f80002, 
0xd9f50002, 0xd9f20002, 0xd9fc0002, 0xdd000001, 
0x9bdd0002, 0xd9fd0002, 0xd9fe0002, 0xd9fb0002, 
0xd9fa0002, 0x9bd90002, 0x9bd90002, 0xd9000001, 
0xdd000001, 0xddd00002, 0xd9000001, 0xdd000001, 
0xdb000001, 0xddd80002, 0x9bdd0002, 0x9bdfe003, 
0xd8000001, 0xdc000001, 0xd8e00002, 0xdce80002, 
0xdee80002, 0xdee90002, 0xdee90002, 0xda000001, 
0xde000001, 0xd8000001, 0xdc000001, 0xd8e80002, 
0xdce00002, 0xdee00002, 0xdee10002, 0xdee10002, 
0xde000001, 0xda000001, 0xd9e40002, 0xdde00002, 
0xdde10002, 0xdde80002, 0xdde90002, 0xdae90002, 
0x9b000001, 0xd9e50002, 0xd9c80002, 0xd9c90002, 
0xd9f40002, 0xd9f10002, 0xd9f90002, 0xf4000001, 
0xf6000001, 0xf7000001, 0xf6000001, 0xf7000001, 
0x0faf0002, 0x6b000001, 0x69000001, 0xec000001, 
0xe4000001, 0xe5000001, 0xed000001, 0xfe000001, 
0x40000001, 0xff000001, 0x6c000001, 0x6d000001, 
0xcd000001, 0xcc000001, 0xce000001, 0x0f080002, 
0x0f010002, 0xcf000001, 0x77000001, 0x0f870002, 
0x73000001, 0x0f830002, 0x72000001, 0x0f820002, 
0x76000001, 0x0f860002, 0x72000001, 0x0f820002, 
0xe3000001, 0x74000001, 0x0f840002, 0x7f000001, 
0x0f8f0002, 0x7d000001, 0x0f8d0002, 0x7c000001, 
0x0f8c0002, 0x7e000001, 0x0f8e0002, 0x76000001, 
0x0f860002, 0x72000001, 0x0f820002, 0x73000001, 
0x0f830002, 0x77000001, 0x0f870002, 0x73000001, 
0x0f830002, 0x75000001, 0x0f850002, 0x7e000001, 
0x0f8e0002, 0x7c000001, 0x0f8c0002, 0x7d000001, 
0x0f8d0002, 0x7f000001, 0x0f8f0002, 0x71000001, 
0x0f810002, 0x7b000001, 0x0f8b0002, 0x79000001, 
0x0f890002, 0x75000001, 0x0f850002, 0x70000001, 
0x0f800002, 0x7a000001, 0x0f8a0002, 0x7a000001, 
0x0f8a0002, 0x7b000001, 0x0f8b0002, 0x78000001, 
0x0f880002, 0x74000001, 0x0f840002, 0xeb000001, 
0xe9000001, 0xff000001, 0xea000001, 0xff000001, 
0x9f000001, 0x0f020002, 0xc5000001, 0x8d000001, 
0xc9000001, 0xc4000001, 0x0fb40002, 0x0f010002, 
0x0fb50002, 0x0f010002, 0x0f000002, 0x0f010002, 
0xf0000001, 0xac000001, 0xad000001, 0xe2000001, 
0xe1000001, 0xe1000001, 0xe0000001, 0xe0000001, 
0x0f030002, 0x0fb20002, 0x0f000002, 0x88000001, 
0x89000001, 0x8a000001, 0x8b000001, 0x668c0002, 
0x8e000001, 0xa0000001, 0xa1000001, 0xa2000001, 
0xa3000001, 0xb0000001, 0xb8000001, 0xc6000001, 
0xc7000001, 0x0f200002, 0x0f220002, 0x0f230002, 
0x0f210002, 0x0f240002, 0x0f260002, 0xa4000001, 
0xa5000001, 0x0fbe0002, 0x0fbf0002, 0x0fb60002, 
0x0fb70002, 0xf6000001, 0xf7000001, 0xf6000001, 
0xf7000001, 0x90000001, 0xf6000001, 0xf7000001, 
0x0c000001, 0x0d000001, 0x80000001, 0x81000001, 
0x83000001, 0x08000001, 0x09000001, 0x0a000001, 
0x0b000001, 0xee000001, 0xe6000001, 0xe7000001, 
0xef000001, 0x6e000001, 0x6f000001, 0x8f000001, 
0x58000001, 0x1f000001, 0x07000001, 0x0fa10002, 
0x0fa90002, 0x17000001, 0x61000001, 0x9d000001, 
0xff000001, 0x50000001, 0x0e000001, 0x1e000001, 
0x06000001, 0x0fa00002, 0x0fa80002, 0x6a000001, 
0x6b000001, 0x16000001, 0x60000001, 0x9c000001, 
0xd0000001, 0xd2000001, 0xc0000001, 0xd1000001, 
0xd3000001, 0xc1000001, 0xd0000001, 0xd2000001, 
0xc0000001, 0xd1000001, 0xd3000001, 0xc1000001, 
0x0f320002, 0x0f310002, 0xf3000001, 0xf3000001, 
0xf2000001, 0xf2000001, 0xf3000001, 0xc3000001, 
0xcb000001, 0xca000001, 0xc2000001, 0xd0000001, 
0xd2000001, 0xc0000001, 0xd1000001, 0xd3000001, 
0xc1000001, 0xd0000001, 0xd2000001, 0xc0000001, 
0xd1000001, 0xd3000001, 0xc1000001, 0x0faa0002, 
0x9e000001, 0xd0000001, 0xd2000001, 0xc0000001, 
0xd1000001, 0xd3000001, 0xc1000001, 0xd0000001, 
0xd2000001, 0xc0000001, 0xd1000001, 0xd3000001, 
0xc1000001, 0x1c000001, 0x1d000001, 0x80000001, 
0x81000001, 0x83000001, 0x18000001, 0x19000001, 
0x1a000001, 0x1b000001, 0xae000001, 0xaf000001, 
0x0f970002, 0x0f930002, 0x0f920002, 0x0f960002, 
0x0f920002, 0x0f940002, 0x0f9f0002, 0x0f9d0002, 
0x0f9c0002, 0x0f9e0002, 0x0f960002, 0x0f920002, 
0x0f930002, 0x0f970002, 0x0f930002, 0x0f950002, 
0x0f9e0002, 0x0f9c0002, 0x0f9d0002, 0x0f9f0002, 
0x0f910002, 0x0f9b0002, 0x0f990002, 0x0f950002, 
0x0f900002, 0x0f9a0002, 0x0f9a0002, 0x0f9b0002, 
0x0f980002, 0x0f940002, 0x0f010002, 0xd0000001, 
0xd2000001, 0xc0000001, 0xd1000001, 0xd3000001, 
0xc1000001, 0x0fa40002, 0x0fa50002, 0xd0000001, 
0xd2000001, 0xc0000001, 0xd1000001, 0xd3000001, 
0xc1000001, 0x0fac0002, 0x0fad0002, 0x0f010002, 
0x0f000002, 0x0f010002, 0xf9000001, 0xfd000001, 
0xfb000001, 0xaa000001, 0xab000001, 0x0f000002, 
0x2c000001, 0x2d000001, 0x80000001, 0x81000001, 
0x83000001, 0x28000001, 0x29000001, 0x2a000001, 
0x2b000001, 0xa8000001, 0xa9000001, 0xf6000001, 
0xf7000001, 0x84000001, 0x85000001, 0x84000001, 
0x85000001, 0x0f000002, 0x0f000002, 0x9b000001, 
0x0f090002, 0x0f300002, 0x0fc00002, 0x0fc10002, 
0x90000001, 0x86000001, 0x86000001, 0x87000001, 
0x87000001, 0xd7000001, 0x34000001, 0x35000001, 
0x80000001, 0x81000001, 0x83000001, 0x30000001, 
0x31000001, 0x32000001, 0x33000001
};

/*
 * End of file: asm.h
 *
 */
